> ## Documentation Index
> Fetch the complete documentation index at: https://flowglad.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Usage Event



## OpenAPI

````yaml https://app.flowglad.com/api/openapi post /api/v1/usage-events
openapi: 3.1.0
info:
  title: Flowglad API
  version: 0.0.1
servers:
  - url: https://app.flowglad.com
security: []
externalDocs:
  url: https://docs.flowglad.com
paths:
  /api/v1/usage-events:
    post:
      tags:
        - Usage Events
      summary: Create Usage Event
      operationId: usageEvents-create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                usageEvent:
                  type: object
                  properties:
                    subscriptionId:
                      type: string
                    amount:
                      type: integer
                      exclusiveMinimum: 0
                      maximum: 9007199254740991
                    usageDate:
                      description: >-
                        The date the usage occurred. If the usage occurs in a
                        date that is outside of the current billing period, the
                        usage will still be attached to the current billing
                        period. Epoch milliseconds.
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    transactionId:
                      description: >-
                        A unique identifier for the transaction. This is used to
                        prevent duplicate usage events from being created.
                      type: string
                    properties:
                      description: >-
                        Properties for the usage event. Only required when using
                        the "count_distinct_properties" aggregation type.
                      anyOf:
                        - type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                        - type: 'null'
                    priceId:
                      description: >-
                        The internal ID of the price. Exactly one of priceId,
                        priceSlug, usageMeterId, or usageMeterSlug must be
                        provided.
                      type: string
                    priceSlug:
                      description: >-
                        The slug of the price. Exactly one of priceId,
                        priceSlug, usageMeterId, or usageMeterSlug must be
                        provided.
                      type: string
                    usageMeterId:
                      description: >-
                        The internal ID of the usage meter. Exactly one of
                        priceId, priceSlug, usageMeterId, or usageMeterSlug must
                        be provided.
                      type: string
                    usageMeterSlug:
                      description: >-
                        The slug of the usage meter. Exactly one of priceId,
                        priceSlug, usageMeterId, or usageMeterSlug must be
                        provided.
                      type: string
                  required:
                    - subscriptionId
                    - amount
                    - transactionId
              required:
                - usageEvent
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  usageEvent:
                    $ref: '#/components/schemas/UsageEventClientSelectSchema'
                required:
                  - usageEvent
                additionalProperties: false
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    UsageEventClientSelectSchema:
      type: object
      properties:
        id:
          type: string
        createdAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        updatedAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        livemode:
          type: boolean
        customerId:
          type: string
        subscriptionId:
          type: string
        usageMeterId:
          type: string
        billingPeriodId:
          description: >-
            The billing period the usage belongs to. If the usage occurs in a
            date that is outside of the current billing period, the usage will
            still be attached to the current billing peirod.
          anyOf:
            - type: string
            - type: 'null'
        amount:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        usageDate:
          description: >-
            The date the usage occurred. If the usage occurs in a date that is
            outside of the current billing period, the usage will still be
            attached to the current billing period. Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        transactionId:
          description: >-
            A unique identifier for the transaction. This is used to prevent
            duplicate usage events from being created.
          type: string
        priceId:
          type: string
        properties:
          description: >-
            Properties for the usage event. Only required when using the
            "count_distinct_properties" aggregation type.
          anyOf:
            - type: object
              propertyNames:
                type: string
              additionalProperties: {}
            - type: 'null'
        pricingModelId:
          type: string
      required:
        - id
        - createdAt
        - updatedAt
        - livemode
        - customerId
        - subscriptionId
        - usageMeterId
        - amount
        - usageDate
        - transactionId
        - priceId
        - pricingModelId
      additionalProperties: false
    error.BAD_REQUEST:
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Invalid input data
          type: string
        code:
          description: The error code
          example: BAD_REQUEST
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.UNAUTHORIZED:
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Authorization not provided
          type: string
        code:
          description: The error code
          example: UNAUTHORIZED
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.FORBIDDEN:
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Insufficient access
          type: string
        code:
          description: The error code
          example: FORBIDDEN
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.INTERNAL_SERVER_ERROR:
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Internal server error
          type: string
        code:
          description: The error code
          example: INTERNAL_SERVER_ERROR
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````